API references
Merchant API

List statements

Returns a paginated list of statements for the authenticated merchant grouped by month.

The response includes month-based pagination where each page contains all statements for a specific month.

The response includes cursor-based pagination with previous and next cursors that can be used to navigate through months.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/list-statements HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
month: string?,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started. Note that this endpoint returns a paginated response, see the Pagination section of the same guide.
Request arguments
month string

Optional. Month to retrieve statements for in YYYY-MM format (default: current month)

Response attributes
Attribute Description
previous
object

Nullable. Cursor for the previous month. Contains 'before' (YYYY-MM format) parameter. Use these values in the 'month' parameter of the next request to get the previous month.

page
array<object.statement>

Always present. The current month's statements, ordered by day (newest first).

next
object

Nullable. Cursor for the next month. Contains 'after' (YYYY-MM format) parameter. Use these values in the 'month' parameter of the next request to get the next month.

Statement attributes
Attribute Description
date
string

Always present. The date this statement covers in ISO 8601 format.

payment_amount
number

Always present. The total payment amount for this statement.

payment_count
number

Always present. The total number of payments for this statement.

refund_amount
number

Always present. The total refund amount for this statement.

refund_count
number

Always present. The total number of refunds for this statement.

dispute_amount
number

Nullable. The total dispute amount for this statement.

dispute_count
number

Nullable. The total number of disputes for this statement.

payout_amount
number

Always present. The total payout amount for this statement.

payout_count
number

Always present. The total number of payouts for this statement.

fees
number

Always present. The total fees for this statement.

net_transaction_volume
number

Always present. The total net transaction volume for this statement, excluding payouts.

invoice_amount
number

Always present. The total invoice amount for this statement.

invoice_status
string

Always present. The status of the invoice. Unbilled if no invoice was issued.

Possible values:
  • unbilled
  • due
  • settled
invoice_pdf_download_url
string

Nullable. The URL to download the invoice PDF for this statement. Blank if the invoice was not yet issued.

invoice_id
string

Nullable. The ID of the invoice. Blank if the invoice was not yet issued.

change_in_balance
number

Always present. The change in balance for this statement.

csv_download_url
string

Nullable. The URL to download the CSV for this statement.

pdf_download_url
string

Nullable. The URL to download the PDF for this statement.

Errors specific to this endpoint
invalid_month

Invalid month format. Expected YYYY-MM format (e.g., '2024-12')

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/list-statements" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{}'
Learn how to run these code samples in your terminal by reading our guide.